Bio::Tools::Signalp(3)

NAME
Bio::Tools::Signalp

SYNOPSIS
 use Bio::Tools::Signalp;
 my $parser = new Bio::Tools::Signalp(-fh =>$filehandle );
 while( my $sp_feat = $parser->next_result ) {
       #do something
       #eg
       push @sp_feat, $sp_feat;
 }

DESCRIPTION
 Parser for Signalp output

FEEDBACK

  Mailing Lists
 User feedback is an integral part of the evolution of this and other
 Bioperl modules. Send your comments and suggestions preferably to
 the Bioperl mailing list.  Your participation is much appreciated.

 bioperl-l@bioperl.org              - General discussion
 http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted va the web:

 http://bugzilla.bioperl.org/

AUTHOR
 Based on the EnsEMBL module
 Bio::EnsEMBL::Pipeline::Runnable::Protein::Signalp originally written
 by Marc Sohrmann (ms2@sanger.ac.uk) Written in BioPipe by Balamurugan
 Kumarasamy <savikalpa@fugu-sg.org> Cared for by the Fugu Informatics
 team (fuguteam@fugu-sg.org)

APPENDIX
 The rest of the documentation details each of the object methods.
 Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new Bio::Tools::Signalp();
 Function: Builds a new Bio::Tools::Signalp object
 Returns : Bio::Tools::Signalp
 Args    : -fh/-file => $val, # for initing input, see Bio::Root::IO

  next_result
 Title   : next_result
 Usage   : my $feat = $signalp->next_result
 Function: Get the next result set from parser data
 Returns : Bio::SeqFeature::Generic
 Args    : none

  create_feature
 Title   : create_feature
 Usage   : obj->create_feature(\%feature)
 Function: Internal(not to be used directly)
 Returns :
 Args    :

  fact1
 Title   : fact1
 Usage   : obj->fact1($fact1)
 Function: Internal(not to be used directly)
 Returns :
 Args    :